package org.fusesource.camel;

import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.converter.jaxb.JaxbDataFormat;

public class OrderRouter extends RouteBuilder {

    @Override
    public void configure() throws Exception {
        JaxbDataFormat jaxb = new JaxbDataFormat("org.fusesource.camel");
        
        // Receive orders from two endpoints
        from("file:target/placeorder").to("jms:incomingOrderQueue");        
        from("jetty:http://localhost:8888/placeorder")
          .inOnly().to("jms:incomingOrderQueue")
          .transform().constant("OK");

        // Do the normalization
        from("jms:incomingOrderQueue")
         .convertBodyTo(String.class)
         .choice()
           .when().method("orderHelper", "isXml")
             .unmarshal(jaxb)
             .to("jms:orderQueue")
           .when().method("orderHelper", "isCsv")
             .unmarshal().csv()         
             .to("bean:normalizer")
             .to("jms:orderQueue");
    }

}
